<div class="form">
<form [formGroup]="searchForm" (ngSubmit)="onSubmit()">
  <br><br>
  
  <div class="row col-md-12">
      <div class="col-md-2">
          <mat-form-field>
              <mat-select placeholder="Users" [formControl]="searchForm.controls['type']">
                <!-- <mat-option>None</mat-option> -->
                <mat-option  value="Admin">Admin</mat-option>
                <mat-option  value="Manufacturer">Manufacturer</mat-option>
                <mat-option  value="Distributor">Distributor</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
    <div class="col-md-2"> 
    <mat-form-field>
      <mat-select placeholder="brand" [formControl]="searchForm.controls['brand_id']">
        <!-- <mat-option>None</mat-option> -->
        <mat-option *ngFor="let brand of posts1" [value]="brand.brand_id">{{brand.brand_name}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <div class="col-md-2">
    <mat-form-field>
        <mat-select placeholder="Category" [formControl]="searchForm.controls['category_id']">
          <!-- <mat-option>None</mat-option> -->
          <mat-option *ngFor="let category of posts2"  [value]="category.category_id">{{category.category_name}}</mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="col-md-2">
        <mat-form-field>
            <mat-select placeholder="Subcategory" [formControl]="searchForm.controls['sub_category_id']">
              <!-- <mat-option>None</mat-option> -->
              <mat-option *ngFor="let subcategory of posts3"  [value]="subcategory.sub_category_id">{{subcategory.sub_category_name}}</mat-option>
            </mat-select>
          </mat-form-field> 
        </div>
        
  <div class="col-md-1" style="margin: -10px">
    <button mat-raised-button type="submit" class="btn btn-circle green" style="cursor: pointer; margin: 14px;" color="accent">search</button>
  </div>
        
  
            <!-- <div class="col-md-1" style="padding-top: 11px;padding-left: 38px;">
              <a routerLink="/mapproducts" (click)="shareData(checkProduct)" style="font-size: 15px;padding-left: 24px;">Map Products</a>              
              
            </div> -->
  
               <div class="col-md-1">
            <button mat-raised-button type="button" style="cursor: pointer; margin: 4px;" (click)="change()" color="accent">APPROVE</button> 
          </div>
          <!-- <div class="col-md-1" style="padding-top: 11px;padding-left: 38px;">
            <a routerLink="/deleted-product"  style="font-size: 16px;padding-left: 24px;">APPROVED</a>              
          </div> -->
    </div><br><br><br>
  
  </form>
</div>

<button mat-fab class="float-button2" (click)="all_products()">
  <mat-icon matTooltip="Refresh">refresh</mat-icon>
</button> 
  <!-- <form [formGroup]="productForm" class="form-horizontal">
   
        <div class="col-md-12 row">
            <div class="col-md-1">
                <label class="control-label "> Select Excel</label>
            </div>
            
            <div class="col-md-6"> 
                <input type="file" class="form-control" required (change)="onChange($event)" />
            </div>
            <div class="col-md-5">
                <button (click)="UploadExcel()" class="btn btn-success">Upload Excel </button>
                <a (click)="downloadexcel()" class="btn btn-danger">Download Excel </a>
            </div>
        </div>
   
  <br><br><br><br>
  </form> -->
  
  
    <!-- <button mat-fab class="float-button" routerLink="/addproducts">
      <mat-icon matTooltip="Add Product">add</mat-icon>
    </button> 
  <button mat-fab class="float-button1" routerLink="/online-products">
    <mat-icon matTooltip="Online Product">check_circle</mat-icon>
  </button> 
  <button mat-fab class="float-button2" (click)="all_products()">
    <mat-icon matTooltip="Refresh">refresh</mat-icon>
  </button> 
  <button mat-fab class="float-button3" (click)="change_all_product_status()">
      <mat-icon matTooltip="change all status">cloud_upload</mat-icon>
    </button>  -->


  <!-- <button mat-raised-button  color="accent">Refresh</button>  -->
  


  <div class="appereance">
    <div class="example-container mat-elevation-z2 radius margintable">
        <div class="title">
            <span></span>
          </div>    
      <div class="example-header">
          <mat-form-field>
            <input matInput  (keyup)="applyFilter($event.target.value)" placeholder="Filter">
          </mat-form-field>
        </div>
  
      <div class="new">
        <mat-table #table [dataSource]="dataSource" matSort>
  
            <ng-container matColumnDef="product_id">
              <mat-header-cell *matHeaderCellDef mat-sort-header>Product ID. </mat-header-cell>
              <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
            </ng-container>
  
            <ng-container matColumnDef="product_image">
                <mat-header-cell *matHeaderCellDef mat-sort-header> Image </mat-header-cell>
                <mat-cell *matCellDef="let row"><img [src]="row.images== null || row.images==[]? 'http://13.236.78.106/api/No_image_available.svg.png':row.images[0]" width="50px"> </mat-cell>
              </ng-container>
  
          <ng-container matColumnDef="product_name">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Product Name </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.product_name}} </mat-cell>
            </ng-container>
  
            <ng-container matColumnDef="category_name">
              <mat-header-cell *matHeaderCellDef mat-sort-header>Category</mat-header-cell>
              
              <mat-cell *matCellDef="let element">{{element.category_name}}
                <!-- <tr><b>Brand Name:</b> {{element.brand_details[0].brand_name}} </tr>  -->
                                               
                                                  <!-- <tr><b>Sub category:</b> {{element.sub_category_name}}</tr> -->
                                                   
                                                 
               </mat-cell>
            </ng-container>
      
              <ng-container matColumnDef="product_type">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Product Type</mat-header-cell>
                <mat-cell *matCellDef="let element">{{element.product_type}}
                                                <!-- <tr><b>Uploaded by:</b>{{element.usertype}}</tr> 
                                                    <tr><b>Quantity:</b> {{element.product_total_quantity}}</tr> 
                                              <tr><b>Consumer Price:</b>{{element.consumer_price}}</tr> -->
                                             
                </mat-cell>
              
              </ng-container>
  
              <ng-container matColumnDef="user_name">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Product Owner</mat-header-cell>
                  <mat-cell *matCellDef="let element">{{element.user_name}}
                                                 <!-- <tr><b>Retailer Price:</b>{{element.retailer_price}}</tr> 
                                              <tr><b>Distributer price:</b>{{element.distributer_price}}</tr> -->
                                           
                  </mat-cell>
                                
                </ng-container>
  
                <ng-container matColumnDef="configurable_products">
                  <mat-header-cell *matHeaderCellDef mat-sort-header>Configured Products</mat-header-cell>
                  <mat-cell *matCellDef="let element; let i=index"><tr *ngFor="let dheeraj of element.configurable_products">{{dheeraj.product_name}}</tr>  </mat-cell>
                </ng-container>
  
        <ng-container matColumnDef="actions">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
            <mat-cell *matCellDef="let element">
                <button mat-icon-button routerLink="/editproduct/{{element.product_id}}">
                  <mat-icon matTooltip="Edit" style="color:grey">
                    <a>edit</a>
                  </mat-icon>
                </button>
  
           
            </mat-cell>
          </ng-container>
  
          <!-- <ng-container matColumnDef="select">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Select</mat-header-cell>
            <mat-cell *matCellDef="let element; let i=index">
              <mat-checkbox (change)="sendIDS($event.checked,element.product_id)" color="primary"></mat-checkbox>
            </mat-cell>
          </ng-container> -->
          <ng-container matColumnDef="select">
            <mat-header-cell *matHeaderCellDef>
              <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
              [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
                  >
              </mat-checkbox>
            </mat-header-cell>
            <mat-cell *matCellDef="let row">  
              <mat-checkbox  (change)="sendIDS($event.checked,row.product_id,posts.length)"
                            [checked]="sel">
              </mat-checkbox>
            </mat-cell>
          </ng-container>
  
          <!-- <ng-container matColumnDef="status">
              <mat-header-cell *matHeaderCellDef mat-sort-header>Status</mat-header-cell>
              <mat-cell *matCellDef="let row" ><a [matTooltip]="(isHandset$ | async) ? '' : 'change status'"
                matTooltipPosition="right"><mat-slide-toggle  (change)="onchange($event.checked,row.product_id)"  [checked]="row.online_status==1?true:false"></mat-slide-toggle></a></mat-cell>
              
            </ng-container> -->
  
          <mat-header-row *matHeaderRowDef="['product_id','product_image','product_name','category_name','product_type','user_name','configurable_products','actions','select']"></mat-header-row>
          <mat-row *matRowDef="let row; columns:  ['product_id','product_image','product_name','category_name','product_type','user_name','configurable_products','actions','select']"></mat-row>
  
        </mat-table>
      </div>
      <mat-paginator [length]="10000" [pageSize]="400" [pageSizeOptions]="[400,800,1200,1600,2000,4000,6000,8000,10000]">
      </mat-paginator>
    </div>
  </div> 